<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>待办管理</title>
	<meta name="decorator" content="default"/>
	<%--<script src="${ctxStatic}/layer-v2.3/laydate/laydate.js"></script>--%>
	<script type="text/javascript">
		$(document).ready(function() {

            $('#moresee').click(function(){
                if($('#moresees').is(':visible'))
                {
                    $('#moresees').slideUp(0,resizeListWindow1);
                    $('#moresee i').removeClass("glyphicon glyphicon-menu-up").addClass("glyphicon glyphicon-menu-down");
                }else{
                    $('#moresees').slideDown(0,resizeListWindow1);
                    $('#moresee i').removeClass("glyphicon glyphicon-menu-down").addClass("glyphicon glyphicon-menu-up");
                }
            });

            laydate.render({
                elem: '#startDate', //目标元素。由于laydate.js封装了一个轻量级的选择器引擎，因此elem还允许你传入class、tag但必须按照这种方式 '#id .class'
                event: 'focus', //响应事件。如果没有传入event，则按照默认的click
                type : 'date'
            });
            laydate.render({
                elem: '#endDate', //目标元素。由于laydate.js封装了一个轻量级的选择器引擎，因此elem还允许你传入class、tag但必须按照这种方式 '#id .class'
                event: 'focus', //响应事件。如果没有传入event，则按照默认的click
                type : 'date'
            });
		});
        function openDialogre(title,url,width,height,target){
            if(navigator.userAgent.match(/(iPhone|iPod|Android|ios)/i)){//如果是移动端，就使用自适应大小弹窗
                width='auto';
                height='auto';
            }else{//如果是PC端，根据用户设置的width和height显示。

            }
            top.layer.open({
                type: 2,
                area: [width, height],
                title: title,
                maxmin: true, //开启最大化最小化按钮
                content: url ,
				skin:"three-btns",
                btn: ['通过','驳回','关闭'],
                btn1: function(index, layero){
                    var body = top.layer.getChildFrame('body', index);
                    var iframeWin = layero.find('iframe')[0]; //得到iframe页的窗口对象，执行iframe页的方法：iframeWin.method();
                    var inputForm = body.find('#inputForm');
                    var top_iframe;
                    if(target){
                        top_iframe = target;//如果指定了iframe，则在改frame中跳转
                    }else{
                        top_iframe = top.getActiveTab().attr("name");//获取当前active的tab的iframe
                    }
                    inputForm.attr("target",top_iframe);//表单提交成功后，从服务器返回的url在当前tab中展示
                    if(iframeWin.contentWindow.doSubmit(1) ){
                        top.layer.close(index);//关闭对话框。
                        setTimeout(function(){top.layer.close(index)}, 100);//延时0.1秒，对应360 7.1版本bug
                    }
                },
                btn2:function(index,layero){
                    var body = top.layer.getChildFrame('body', index);
                    var iframeWin = layero.find('iframe')[0]; //得到iframe页的窗口对象，执行iframe页的方法：iframeWin.method();
                    var inputForm = body.find('#inputForm');
                    var top_iframe;
                    if(target){
                        top_iframe = target;//如果指定了iframe，则在改frame中跳转
                    }else{
                        top_iframe = top.getActiveTab().attr("name");//获取当前active的tab的iframe
                    }
                    inputForm.attr("target",top_iframe);//表单提交成功后，从服务器返回的url在当前tab中展示
                    if(iframeWin.contentWindow.doSubmit(2) ){
                        top.layer.close(index);//关闭对话框。
                        setTimeout(function(){top.layer.close(index)}, 100);//延时0.1秒，对应360 7.1版本bug
                    }
                    return false;
                },
                btn3: function(index){
            }
            });

        }
        function openDialogres(title,url,width,height,target) {
            if (navigator.userAgent.match(/(iPhone|iPod|Android|ios)/i)) {//如果是移动端，就使用自适应大小弹窗
                width = 'auto';
                height = 'auto';
            } else {//如果是PC端，根据用户设置的width和height显示。

            }
            top.layer.open({
                type: 2,
                area: [width, height],
                title: title,
                maxmin: true, //开启最大化最小化按钮
                content: url,
				skin:"two-btns",
                btn: ['重新申请', '结束流程'],
                btn1: function (index, layero) {
                    var body = top.layer.getChildFrame('body', index);
                    var iframeWin = layero.find('iframe')[0]; //得到iframe页的窗口对象，执行iframe页的方法：iframeWin.method();
                    var inputForm = body.find('#inputForm');
                    var top_iframe;
                    if (target) {
                        top_iframe = target;//如果指定了iframe，则在改frame中跳转
                    } else {
                        top_iframe = top.getActiveTab().attr("name");//获取当前active的tab的iframe
                    }
                    inputForm.attr("target", top_iframe);//表单提交成功后，从服务器返回的url在当前tab中展示
                    if (iframeWin.contentWindow.doSubmit(3)) {
                        top.layer.close(index);//关闭对话框。
                        setTimeout(function () {
                            top.layer.close(index)
                        }, 100);//延时0.1秒，对应360 7.1版本bug
                    }
                },
                btn2: function (index, layero) {
                    var body = top.layer.getChildFrame('body', index);
                    var iframeWin = layero.find('iframe')[0]; //得到iframe页的窗口对象，执行iframe页的方法：iframeWin.method();
                    var inputForm = body.find('#inputForm');
                    var top_iframe;
                    if (target) {
                        top_iframe = target;//如果指定了iframe，则在改frame中跳转
                    } else {
                        top_iframe = top.getActiveTab().attr("name");//获取当前active的tab的iframe
                    }
                    inputForm.attr("target", top_iframe);//表单提交成功后，从服务器返回的url在当前tab中展示
                    if (iframeWin.contentWindow.doSubmit(4)) {
                        top.layer.close(index);//关闭对话框。
                        setTimeout(function () {
                            top.layer.close(index)
                        }, 100);//延时0.1秒，对应360 7.1版本bug
                    }
                    return false;
                },
            });
        }
	</script>
	<style>
		body{
			background-color:transparent;
			filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=#26FFFFFF, endColorstr=#26FFFFFF);
			color:#ffffff;
			background-color:rgba(255,255,255,0);
			height:100%;
		}
	</style>
</head>
<body>
<div class="wrapper wrapper-content">
	<sys:message content="${message}"/>
	<div class="layui-row">
		<div class="full-width fl">
			<div class="contentShadow layui-row" id="queryDiv">
			<form:form id="searchForm" modelAttribute="workProjectNotify" action="${ctx}/workprojectnotify/workProjectNotify/lists" method="post" class="form-inline">
				<input id="pageNo" name="pageNo" type="hidden" value="${page.pageNo}"/>
				<input id="pageSize" name="pageSize" type="hidden" value="${page.pageSize}"/>
				<table:sortColumn id="orderBy" name="orderBy" value="${page.orderBy}" callback="sortOrRefresh();"/><!-- 支持排序 -->

				<div class="commonQuery">
					<div class="layui-item query athird">
						<label class="layui-form-label">审批状态：</label>
						<div class="layui-input-block">
							<form:select id="status" path="status" class="form-control simple-select">
								<form:option value="" label=""/>
								<form:options items="${fns:getDictList('project_notify_class')}" itemLabel="label" itemValue="value" htmlEscape="false"/>
							</form:select>
						</div>
					</div>
					<div class="layui-item query athird">
						<label class="layui-form-label">类型：</label>
						<div class="layui-input-block">
							<form:select id="type" path="type" class="form-control simple-select">
								<form:option value="" label=""/>
								<form:options items="${fns:getDictList('project_notify_type')}" itemLabel="label" itemValue="value" htmlEscape="false"/>
							</form:select>
						</div>
					</div>
					<div class="layui-item athird">
						<div class="input-group">
							<a href="#" id="moresee"><i class="glyphicon glyphicon-menu-down"></i></a>
							<button id="searchReset" class="fixed-btn searchReset fr" onclick="resetSearch()">重置</button>
							<button id="searchQuery" class="fixed-btn searchQuery fr" onclick="search()">查询</button>
						</div>
					</div>
					<div style="    clear:both;"></div>
				</div>
				<div id="moresees" style="clear:both;display:none;">
					<div class="layui-item query athird">
						<label class="layui-form-label">审批日期：</label>
						<div class="layui-input-block">
							<input placeholder="开始时间" class="laydate-icondate form-control layer-date layui-input laydate-icon range" id="startDate" name="startDate" readonly="readonly" value="<fmt:formatDate value="${workProjectNotify.startDate}" pattern="yyyy-MM-dd"/>">
							<span class="date-sep">-</span>
							<input placeholder="结束时间" class="laydate-icondate form-control layer-date layui-input laydate-icon range" id="endDate" name="endDate" readonly="readonly" value="<fmt:formatDate value="${workProjectNotify.endDate}" pattern="yyyy-MM-dd"/>">
						</div>
					</div>
				</div>
			</form:form>
			</div>
		</div>
		<div class="full-width fl">
			<div class="contentShadow layui-form contentDetails">
				<div class="nav-btns">
					<button class="nav-btn nav-btn-refresh" data-toggle="tooltip" data-placement="left" onclick="sortOrRefresh()" title="刷新"><i class="glyphicon glyphicon-repeat"></i>&nbsp;刷新</button>
					<div style="clear: both;"></div>
				</div>
				<table class="oa-table layui-table" id="contentTable"></table>

				<!-- 分页代码 -->
				<table:page page="${page}"></table:page>
				<div style="clear: both;"></div>
			</div>
		</div>
	</div>
	<div id="changewidth"></div>
</div>
<script src="${ctxStatic}/layer-v2.3/layui/layui.all.js" charset="utf-8"></script>
<script>
    layui.use('table', function(){
        layui.table.render({
            limit:${ page.pageSize }
            ,elem: '#contentTable'
            ,page: false
            ,cols: [[
                // {checkbox: true, fixed: true},
                {field:'index',align:'center',  width:40,title: '序号'}
                ,{align:'center', title: '类型', width:100,templet:function(d){
                        return "<span title='"+ d.type1 +"'>" + d.type1 + "</span>";
                    }}
                ,{align:'center', title: '环节', width:120,templet:function(d){
                        return "<span title='"+ d.step +"'>" + d.step + "</span>";
                    }}
                ,{align:'center', title: '标题', minWidth:150,templet:function(d){
						return "<a class=\"attention-info\" href=\"javascript:void(0)\" onclick=\"openDialogView('查看待办信息', '${ctx}/workprojectnotify/workProjectNotify/view?id="+ d.id +"','95%','95%')\">" +
                            "<span title=\"" + d.title + "\">" + d.title + "</span>" +
                            "</a>";
                    }}
                ,{align:'center',title: '内容', minWidth:150,templet:function(d){
                        return "<span title='"+ d.content +"'>" + d.content + "</span>";
                    }}
                ,{align:'center',title: '提交人', width:80,templet:function(d){
                        return "<span title='"+ d.submit +"'>" + d.submit + "</span>";
                    }}
                ,{field:'op',align:'center', title: '创建日期', width:140,templet:function(d){
                    return "<span title='"+ d.date2 +"'>" + d.date2 + "</span>";
                }}
                ,{align:'center',title: '审批人', width:80,templet:function(d){
                        return "<span title='"+ d.audit1 +"'>" + d.audit1 + "</span>";
                    }}
                ,{align:'center',title: '实际审批人', width:80,templet:function(d){
                    if(d.audit2 != undefined)
                        return "<span title='"+ d.audit2 +"'>" + d.audit2 + "</span>";
                    else
                        return "<span></span>";
                    }}
                ,{ align:'center',title: '审批状态',width:80,templet:function(d){
                    if(d.pid != undefined)
                    {
                        if(d.status == "待审批")
                        {
                            return "<a href=\"javascript:void(0)\" onclick=\"openDialogView('流程追踪', '${ctx}/workreimbursement/workReimbursement/getProcessOne?processInstanceId="+ d.pid + "','95%','95%')\" class=\"status-label status-label-auditing\" >"+ d.status +"</a>";
                        }
                        else if(d.status == "已审批")
                        {
                            return "<a href=\"javascript:void(0)\" onclick=\"openDialogView('流程追踪', '${ctx}/workreimbursement/workReimbursement/getProcessOne?processInstanceId="+ d.pid + "','95%','95%')\" class=\"status-label status-label-signed\" >"+ d.status +"</a>";
                        }
                        else if(d.status == "已签收")
                        {
                            return "<a href=\"javascript:void(0)\" onclick=\"openDialogView('流程追踪', '${ctx}/workreimbursement/workReimbursement/getProcessOne?processInstanceId="+ d.pid + "','95%','95%')\" class=\"status-label status-label-finish\" >"+ d.status +"</a>";
                        }
                        else
                        {
                            return "<a href=\"javascript:void(0)\" onclick=\"openDialogView('流程追踪', '${ctx}/workreimbursement/workReimbursement/getProcessOne?processInstanceId="+ d.pid + "','95%','95%')\" class=\"status-label status-label-finish\" >"+ d.status +"</a>";
                        }
                    }
                    else
                        return "";
                    var st = getAuditState(d.status);
                    if(st.action)
                        var xml = "<span onclick=\"openDialogView('流程追踪', '${ctx}/workreimbursement/workReimbursement/getProcessOne?id=" + d.id + "','95%','95%')\" class=\"status-label status-label-" + st.label + "\" >" + st.status + "</span>";
                    else
                        var xml = "<span style=\"cursor:default;\" class=\"status-label status-label-" + st.label + "\" >" + st.status + "</span>";
                    return xml;
                }}
                ,{field:'op',align:'center', title: '审批日期', width:140,templet:function(d){
                        return "<span title='"+ d.date +"'>" + d.date + "</span>";
                    }}

            ]]
            ,data: [
                <c:if test="${ not empty page.list}">
                <c:forEach items="${page.list}" var="workProjectNotify" varStatus="index">
                <c:if test="${index.index != 0}">,</c:if>
                {
                    "index":"${index.index+1}"
                    ,"id":"${workProjectNotify.id}"
                    ,"type1":"${fns:getDictLabel(workProjectNotify.type, 'project_notify_type', '')}"
                    ,"step":"${workProjectNotify.notifyRole}"
                    ,"title":"${workProjectNotify.title}"
                    ,"content":"${workProjectNotify.content}"
                    ,"submit":"${fns:getUserById(workProjectNotify.createBy.id).name}"
					<c:if test="${not empty workProjectNotify.processInstanceId}">,"pid":"${workProjectNotify.processInstanceId}"</c:if>
                    ,"status":"${fns:getDictLabel(workProjectNotify.status, 'project_notify_class', '')}"
					,"audit1":"${fns:getUserById(workProjectNotify.user.id).name}"
                    <c:if test="${workProjectNotify.status == 1}">,"audit2":"${fns:getUserById(workProjectNotify.updateBy.id).name}"</c:if>
                    ,"date":"<fmt:formatDate value="${workProjectNotify.updateDate}" pattern="yyyy-MM-dd HH:mm:ss"/>"
                    ,"date2":"<fmt:formatDate value="${workProjectNotify.createDate}" pattern="yyyy-MM-dd HH:mm:ss"/>"
                }
                </c:forEach>
                </c:if>
            ]
            // ,even: true
            // ,height: 315
        });

    })

    resizeListTable(140);
    $("a").on("click",addLinkVisied);
</script>
<script>
    resizeListWindow1();
    $(window).resize(function(){
        resizeListWindow1();
    });
</script>
</body>
</html>